<?

function time_string( $my_seconds )
{
    $seconds = $minutes = $hours = $days = 0;
    $to_return = "";

    $my_seconds -= ( $days = floor( $my_seconds / 86400 ) ) * 86400;
    $my_seconds -= ( $hours = floor( $my_seconds / 3600 ) ) * 3600;
    $my_seconds -= ( $minutes = floor( $my_seconds / 60 ) ) * 60;
    $seconds = $my_seconds;

    if( $days )
        $to_return .= sprintf( " %2dd %2dh %2dm %2ds" , $days , $hours , $minutes , $seconds );
    else
    {
        if( $hours )
            $to_return .= sprintf( " %2dh %2dm %2ds" , $hours , $minutes , $seconds );
        else
        {
            if( $minutes )
                $to_return .= sprintf( " %2dm %2ds" , $minutes , $seconds );
            else
                $to_return .= sprintf( " %2ds" , $seconds );
        }
    }

    return ereg_replace( " " , "&nbsp;" , $to_return );
}

function size_string( $my_size )
{
    $my_size = floatval( $my_size );

    for( $x = -1 , $temp = $my_size ; ( $temp >= 1 ) && ( $x < 9 ) ; $x++ , $temp = $temp / 1000.0 );

    if( $prefix = pow( 1024 , $x ) )
        $suffix = $my_size / floatval( $prefix );
    else
        $suffix = $my_size;

    $to_return = sprintf( "%.2f " , $suffix );

    switch( $x )
    {
        case 1:
            $to_return .= "K";
            break;
        case 2:
            $to_return .= "M";
            break;
        case 3:
            $to_return .= "G";
            break;
        case 4:
            $to_return .= "T";
            break;
        case 5:
            $to_return .= "P";
            break;
        case 6:
            $to_return .= "E";
            break;
        case 7:
            $to_return .= "Z";
            break;
        case 8:
            $to_return .= "Y";
            break;
        default:
            $to_return .= "&nbsp;";
            break;
    }

    return ( $to_return . "B" );
}

function getmicrotime()
{
	list( $usec , $sec ) = explode( " " , microtime() );
	return( (float)$usec + (float)( $sec * 1000000 ) );
}

?>